body {
    background-color: #070312;
    font-family: 'Montserrat', sans-serif;
    /*font-family: 'Oswald', sans-serif;*/
    /*font-family: 'Raleway', sans-serif;  */
    color: #fff;
}

a {
    text-decoration: none;
}

p,
li,
blockquote,
td,
th,
dd {
    color: #9b94aa;
    font-weight: 300;
}

th {
    text-align: left;
}

h1,
h2,
h3,
h6 {
    font-family: 'Oswald', sans-serif;
    text-transform: uppercase;
}

table {
    width: 100%;
    margin-top: 20px;
    text-align: center;
}

.center-wrapper {
    margin: 0 auto;
    padding:0 40px;
    max-width: 1440px;
}

.text-purple {
    color: #cd30be;
}

.logo {
    display: inline-block;
    background-image: url(../img/logo.png);
    background-size: contain;
    background-repeat: no-repeat;
    text-indent: -99999px;
}

.btn {
    display: inline-block;
    height: 50px;
    width: 130px;
    line-height: 42px;
    border: 4px solid #fff;
    background: transparent;
    font-weight: 700;
    font-family: 'Oswald', sans-serif;
    text-transform: uppercase;
    cursor: pointer;
    transition: all .3s ease-out;
    color: #fff;
    font-size: 1.6rem;
}

.btn:hover {
    border-color: #cd30be;
    color: #cd30be;
}

/* Styles of contact form */
form {
    margin-top: 70px;
    font-size: 1.4rem;
    color: #9b94aa;
}

input,
select,
textarea {
    padding: 0 20px;
    font-size: 1.4rem;
    color: #9b94aa;
    background: transparent;
    transition: all .25s ease-in;
}

input,
select {
    height: 50px;
    line-height: 44px;
}

select {
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAAHCAMAAAACh/xsAAAAKlBMVEVHQVVHQVVHQVVHQVVHQVVHQVVHQVVHQVVHQVVHQVVHQVVHQVVHQVX///9cOTTYAAAADHRSTlMAt7Yo+5ET7G4E1kjDrQTLAAAALklEQVR42h3FyQEAIAgEsfFEcPuvVySf0FQ6Y/7ngKW0gG2SbdKRDp9HOOVe4AEymAFaB59EkwAAAABJRU5ErkJggg==);
    background-repeat: no-repeat;
    background-position: right 10px center;
}

textarea {
    min-height: 205px;
    padding-top: 15px;
    padding-bottom: 15px;
}

input,
select,
textarea,
.checkbox,
.radio {
    border: 3px solid #474155;
}

.field-error {
    display: inline-block;
    margin-top: 10px;
    color: #e11b1b;
    line-height: 1.4rem;
}

.form-row {
    margin-bottom: 20px;
}

.input-row {
    margin-top: 10px;
}

.form-label {
    display: inline-block;
    margin-bottom: 15px;
    font-size: 1.6rem;
    font-weight: 700;
    line-height: 1.6rem;
}

.input-row-grid {
    margin-bottom: 40px;
}

.checkbox,
.radio {
    position: relative;
    display: inline-block;
    margin-right: 10px;
    width: 20px;
    height: 20px;
    vertical-align: middle;
}

.text-hide-indent {
    text-indent: -99999px;
}

[type="checkbox"],
[type="radio"] {
    display: none;
}

.radio,
.radio::after {
    border-radius: 50%;
}

.input-row label {
    display: inline-block;
    height: 20px;
    line-height: 2.0rem
}

input:focus,
select:focus,
textarea:focus {
    border: 3px solid #fff;
}

input:focus,
textarea:focus {
color: #fff;
}

.form-row .btn {
    width: 150px;
    height: 60px;
    margin-bottom: 40px;
}

.checkbox::after,
.radio::after {
    content: '';
    position: absolute;
    left: 50%;
    top: 50%;
    margin-top: -4px;
    margin-left: -4px;
    display: block;
    width: 8px;
    height: 8px;
    background-color: #cd30be;
    opacity: 0;
    transition: opacity .2s ease-out;
}

.field-dirty:invalid {
    border-color: #e11b1b;
}

.field-dirty:valid {
    border-color: #86c878;
}

.field-dirty:invalid:focus {
    border: 3px solid #e11b1b;
}

.field-dirty:valid:focus {
    box-shadow: 0 5px 5px 0 rgba(134, 200, 120, 0.2);
}

.form-label.required::after {
    content: '*';
    display: inline-block;
    margin-left: 5px;
}

input:checked ~ label .checkbox::after,
input:checked ~ label .radio::after {
    opacity: 1;
}

/*Styles of header*/
.info-bar {
    min-height: 80px;
    padding: 25px 0;
    line-height: 30px;
    background-color:  #070312;
    font-family: 'Oswald', sans-serif;
    font-size: 1.4rem;
    font-weight: 700;
}

.free-delivery,
.phone,
.mail {
    display: block;
    height: 30px;
    margin: 0;
    line-height: 30px;
    padding-left: 30px;
    background-repeat: no-repeat;
    background-position: left center;
}

.free-delivery {
    display: none;
    padding: 0;
    text-transform: uppercase;
    font-weight: 700;
    color: #fff;
}

.phone {
    background-image: url('../img/phone.png');
}

.mail {
    background-image: url('../img/envelope.png');
}

.promo-banner {
    min-height: 500px;
    background-image: linear-gradient(rgba(7, 3, 18, 0.1) 50%, #070312 95%), url(../img/header-background.jpg);
    background-repeat: no-repeat;
    background-position: center top;
    background-size: cover;
}

.nav-wrapper {
    float: right;
    position: relative;
    top: 30px;
}

.toggle-nav-btn {
    width: 60px;
    height: 60px;
    padding: 20px 15px;
    border-radius: 5px;
    background-color: #070312;
    cursor: pointer;
    border: 1px solid #070312;
    transition: all .3s ease-out;
}

.cutlet,
.cutlet::before,
.cutlet::after {
    display: block;
    content: '';
    position: relative;
    width: 30px;
    height: 3px;
    background-color: blue;
    border-radius: 1px;
    background-color: #fff;
}

.cutlet::before {
    top: -10px;
}

.cutlet::after {
    top: 7px;
    width: 20px;
    margin-left: 10px;
    background-color: #cd30be;
}

.menu {
    display: none;
    position: absolute;
    margin-top:10px;
    right: 0;
}

.menu,
.submenu {
    list-style: none;
    padding: 0;
}

.submenu {
    display: none;
}

.promo-text {
    text-align: center;
}

.heading {
    margin-top: 100px;
    margin-bottom: 0;
    font-size: 5.4rem;
    font-weight: 700;
}

.subheading {
    margin: 0;
    padding: 30px 0px;
    font-weight: 300;
    font-size: 1.8rem;
}

.btns-container {
   padding: 50px 0 10px;
}

.btns-container a {
    margin-bottom: 20px;
}

.menu a {
    display: block;
    width: 180px;
    padding-left: 30px;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 1.2rem;
    transition: all .2s ease-out;
    color: #fff;
}

.has-submenu > a {
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAUAAAAECAQAAADsOj3LAAAAKElEQVQIHQXBAQ0AIAwDsCW3ARrBDybu7QJKGw3oWAZjRxxciShPyQfbfx3nfjhZYgAAAABJRU5ErkJggg==);
    background-repeat: no-repeat;
    background-position: right 30px center;
}

.menu > li >  a {
    height: 45px;
    line-height: 45px;
    background-color: #cd30be;
}

.submenu > li a {
    height: 40px;
    line-height: 40px;
    background-color: #fff;
    color: #000;
}

.menu a:hover{
    text-shadow: 0 0 30px #000;
}

.menu.visible,
.submenu.visible {
    display: block;
}

.page-header .logo {
    width: 149px;
    height: 63px;
    margin-left: 5px;
    margin-top: 30px;
}

/*Styles for main content of index page*/
.stick-to-screen {
    margin-left: -40px;
    margin-right: -40px;
}

.caption {
    margin: 0;
    font-size: 1.4rem;
    font-weight: 300;
    text-align: center;
    line-height: 1.8rem;
}

.extra-details {
    margin: 40px 0 60px;
    font-family: Oswald;
    font-weight: 700;
    text-transform: uppercase;
    text-align: center;
}

.product-item {
    position: relative;
    display: flex;
    height: 150px;
    margin-bottom: 20px;
    background-color: #1e1929;
}

.product-label {
    position: absolute;
    width: 70px;
    height: 40px;
    top: 20px;
    left: 55px;
    line-height: 40px;
    text-align: center;
    border-radius: 20px;
    font-size: 1.8rem;
    font-weight: 700;
    background-color: #cd30be;
}

.product-thumbnail {
    width: 145px;
    height: 150px;
}

.product-details {
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    padding: 0 20px;
}

.product-name {
    width: 200%;
    margin: 0 0 20px;
    font-size: 1.6rem;
    font-weight: 700;
    font-family: 'Montserrat', sans-serif;
}

.product-price {
    width: 100%;
    color:  #cd30be;
    font-weight: 300;
}

.extra-details p {
    display: inline-block;
    width: 150px;
    color: #fff;
    font-weight: 700;
}

.page-content .heading {
    margin: 0;
    padding: 60px 0;
    font-size: 3.6rem;
    font-weight: 700;
}

.product-section .heading {
    text-align: center; 
}

.product-section .heading::after,
.content-main .heading::after {
    display: block;
    content: '';
    height: 2px;
    width: 25px;
    background-color: #cd30be;
    margin: 0 auto;
    margin-top: 15px;
}

.product-section a:last-child .product-item {
    margin-bottom: 0;
}

/*Styles of pagination*/
.pagination {
    display: flex;
    justify-content: center;
    margin: 50px 0 55px;
}

.pagination a {
    display: block;
    width: 40px;
    height: 40px;
    margin: 0 2px;
    line-height: 40px;
    text-align: center;
    font-weight: 700;
    font-size: 1.4rem;
}

.pagination a:first-child,
.pagination a:last-child {
    border: 3px solid #2b253b;
    line-height: 34px;
}

.pagination a:hover {
    border: solid 3px #2b253b;
    line-height: 34px;
}

.pagination a:first-child,
.pagination a:last-child {
    margin: 0 10px;
}

.pagination .current,
.pagination .current:hover {
    position: relative;
    z-index: 10;
    border: 4px solid #cd30be;
    line-height: 32px;
}

/*Styles for main content of about-us page*/
h2 {
    margin: 0;
    font-size: 2.4rem;
    line-height: 2.4rem;
}

p {
    margin: 30px 0 0;
}

blockquote {
    margin-top: 50px;
    padding: 115px 40px 65px;
    background-color: #1e1929;
    background-image: url(../img/icon-quote.png);
    background-repeat: no-repeat;
    background-position: center 50px;
    text-align: center;
    font-style: italic;
}

dl {
    margin-top: 50px;
}

dt {
    margin-top: 35px;
    padding: 35px 40px 25px;
    border-top: 1px solid #2b253b;
    font-size: 1.3rem;
    font-weight: 700;
    text-transform: uppercase;
}

dd {
    margin: 0;
    padding: 0 40px;
}

.sidebar-layout {
    display: none;
}

.content-main {
    padding: 0 0 25px;
    line-height: 2.2rem;
    font-size: 1.5rem;
    font-weight: 300;
}

.images-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 50px 0;
}

.video-container {
    margin-top: 65px;
    position: relative;
    padding-bottom: 56.25%;
    padding-top: 30px; 
    height: 0; 
    overflow: hidden;
}

.video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.highlated {
    background-color: rgba(30, 25, 41, 0.4);
}

.legend {
    display: block;
    margin: 40px 0 80px;
}

.content-main h3 {
    margin-top: 35px;
    line-height: 2.4rem;
    text-transform: initial;
    font-weight: 300;
    font-size: 2.4rem;
}

.images-container img {
    width: calc((100vw - 135px) / 3);
    height: calc((100vw - 135px) / 3);;
}

.content-main strong {
    font-weight: 700;
}

.content-main ol,
.content-main ul {
    padding-left: 18px;
    margin-bottom: 60px;
}

.price-table table td,
.price-table table th {
    height: 60px;
    font-weight: 700;
    font-size: 1.2rem;
}

.price-table table th {
    white-space: nowrap;
    text-transform: uppercase;
    color: #fff;
    text-align: center;
}

.price-table tr:nth-child(n+2) th {
    padding-left: 55px;
    text-align: left;
}

.content-main .heading::after {
    margin-left: 0;
}

.price-table tr:first-child th {
    background-color: #362f45;
}

/*Styles for main content of contact page*/
.contact-info {
    margin-bottom: 55px;
}

.contact-data {
    margin-top: 45px;
}

.open-hours {
    margin-top: 70px;
    font-size: 1.5rem;
}

.map {
    display: block;
    width: 100%;
    height: 300px;
    margin: 55px 0 70px;
}

.open-hours th {
    padding-left: 45px;
    height: 40px;
}

.contact-info strong {
    color: #fff;
}

.open-hours strong {
    margin-left: 40px;
}

/*Styles of footer*/
hr {
    background-color: #2b253b;
    height: 1px;
    margin: 0;
    border: 0;
}

.footer-section {
    flex-basis: 165px;
    padding-bottom: 20px;
}

.social-links {
    display: flex;
    justify-content: space-between;
}

.footer-bg {
    background-color: #1e1929;
}

.footer-copyright {
    margin: 0;
    padding-bottom: 50px;
    line-height: 50px;
    font-size: 1.2rem;
    color:  #413a50;
    font-weight: 400;
}

.footer-section ul {
    list-style: none;
    padding: 0;
    color:  #453f56;
    font-size: 1.2rem;
    font-weight: 400;
    line-height: 24px;
}

.social-links a {
    display: block;
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    margin-left: -10px;
    font-size: 1.6rem;
    color: #fff;
}

.footer-section ul a {
    transition: all .3s ease-out;
}

.page-footer .center-wrapper {
    display: flex;
    flex-wrap: wrap;
    padding: 40px 40px 0;
    justify-content: center;
    text-transform: uppercase;
}

.page-footer .heading {
    margin: 0 0 10px;
    font-size: 1.8rem;
    font-weight: 400;
}

.page-footer .logo {
    width: 119px;
    height: 50px;
}

.footer-section ul a:hover {
    color: purple;
    text-shadow: 0 0 40px #fff;
}

.page-footer .center-wrapper:last-child {
    padding-top: 30px;
}


/*390px*/
@media screen and (min-width: 24.375em) {

    /*Styles of contact form */
    .input-row-grid {
        overflow: hidden;
    }

    .input-row-grid .input-row {
        float: left;
        width: 50%;
    }

    .input-row-grid--1-4 .input-row {
        width: 25%;
    }

    /*Header styles*/
    .phone {
        background-image: url('../img/phone.png');
        float: left;
    }

    .mail {
        background-image: url('../img/envelope.png');
        float: right;
    }

    .btns-container a {
        margin-left: 6px;
        margin-right: 6px;
    }

    .heading {
        font-size: 7rem;
    }

    /*Styles for main content of index page*/
    .product-section .product-details {
        padding: 0 40px;
    }

}

/*740px*/
@media screen and (min-width: 46.250em) {

    /*Header styles*/
    .btn {
        height: 60px;
        width: 150px;
        line-height: 52px;
    }

    .free-delivery {
        display: block;
        float: left;
    }

    .contact-box {
        float: right;
    }

    .mail {
        margin-left: 45px;
    }

    .toggle-nav-btn {
        display: none;
    }

    .menu,
    .menu.visible {
        display: block;
        display: flex;
    }

    .has-submenu  {
        width: 140px;
    }

    .promo-text {
        min-height: 315px;
    }

    .heading {
        margin-top: 140px;
        font-size: 4.8rem;
    }

    .subheading {
        padding-top: 30px;
    }

     .menu a {
        width: auto;
        white-space: nowrap;
        padding: 0 30px;
    }

    .btns-container a {
        margin-left: 10px;
        margin-right: 10px;
    }

    .page-header .logo {
        margin-top: 55px;
    }

    .page-header .heading {
        font-size: 12rem;
    }

    .page-header .subheading {
        font-size: 2.4rem;
    }

    /*Styles for main content of index page*/
    .caption {
        max-width: 640px;
        margin: 0 auto;
    }

    .articles-wrapper {
        display: grid;
        grid-template-columns: auto auto;
        grid-gap: 30px;
        justify-content: center;
    }

    .product-item {
        height: 260px;
        width: 305px;
        flex-wrap: wrap;
        margin: 0;
    }

    .product-thumbnail {
        width: 305px;
        height: 130px;
    }

    .product-details {
        height: 130px;
        text-align: center;
    }

    /*Styles of contact page*/
    .map {
        height: 510px;
    }

    /*Footer styles*/
    .footer-section {
        flex-grow: 1;
        max-width: 280px;
        padding-bottom: 50px;
    }

    .footer-section ul {
        line-height: 34px;
    }

    .page-footer .center-wrapper {
        justify-content: flex-start;
    }

    .page-footer .heading {
        margin: 0 0 40px;
    }

    .footer-section:last-child {
        flex-grow: 0;
    }

}

/*740px < active < 880px*/
/*960px < active*/
@media screen and (min-width: 46.250em) and (max-width: 55.000em), 
screen and (min-width: 60.000em) {

    /*Styles of contact form*/
    .form-row {
        display: flex;
        justify-content: space-between;
    }

    .form-label {
        flex-basis: 255px;
        flex-shrink: 0;
        height: 40px;
        line-height: 40px;
    }

    .input-container {
        flex-basis: 540px;
        margin-left: 50px;
    }

    .input-container.offset-left {
        margin-left: 280px;
    }

}

/*880px*/
@media screen and (min-width: 55.000em) {

    /*Styles for sidebar (aside)*/
    .cw-about-us {
        display: flex;
        justify-content: space-between;
    }

    .sidebar-layout {
        display: inline-block;
        flex-basis: 305px;
        min-width: 250px;
        margin-top: 40px;
        margin-right: 40px;
        padding: 0 50px;
        border-radius: 4px;
        background-color: #1e1929;
        font-size: 1.8rem;
        line-height: 1.8rem;
    }

    .content-main {
        flex-basis: 930px;
    }

    .context-menu {
        margin: 35px 0;
        padding: 0;
        list-style: none;
    }

    .context-menu li {
        border-bottom: 1px solid #362f45;
    }

    .context-menu a {
        display: block;
        padding: 15px 0;
        font-family: 'Oswald', sans-serif;
        color: #fff;
        font-weight: 400;
        text-transform: uppercase;
        transition: color .2s ease-out;
    }

    .context-menu li:last-child {
        border-bottom: 0;
    }

    .context-menu a:hover {
        color: #cd30be;
    }

    /*Styles for main content of index page*/
    .articles-wrapper a:hover {
        transform: scale(1, 1.05);
    }

    .articles-wrapper a:hover .product-details {
        background-color: #fff;
        color: #000;
    }


    /*Styles for main content of about-us page*/
    h2 {
        font-size: 3rem;
    }

    .right-indent {
        padding-right: 60px;
    }

    .stick-to-screen {
        margin-left: 0;
        margin-right: 0;
    }

    .images-container img {
        width: calc((100vw - 490px) / 3);
        height: calc((100vw - 490px) / 3);;
        max-width: 250px;
        max-height: 250px;
    }

    .page-content .heading {
        font-size: 4.8rem;
    }

    /*Styles of contact page*/
    .form-row .btn {
        margin-bottom: 120px;
    }

}

/*1312px*/
@media screen and (min-width: 82.000em) {

    /*Styles for main content of index page*/
    .product-section-header {
        margin-top: 130px;
        margin-bottom: 55px;
    }

    .header-content {
        display: flex;
        align-items: center;
    }

    .caption {
        margin:0 30px;
        padding: 0 60px;
        text-align: left;
    }

    .header-content p {
        margin: 0;
    }

    .articles-wrapper {
        grid-template-columns: auto auto auto auto;
        grid-gap: 15px;
    }

    .extra-details {
        min-width: 305px; 
        margin: 0;
        padding-left: 70px;
    }

    .extra-details p {
        text-align: left;
        line-height: 26px;
        width: 100%;
    }

    .product-section-header .heading {
        min-width: 285px;
        margin-left: 10px;
        padding: 0;
        text-align: left;
        font-size: 4.8rem;
    }

    .product-section-header .heading::after {
        margin-left: 0;
    }

    /*Styles of contact page*/
    .contact-info {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        margin-bottom: 105px;
    }

    .contact-data {
        margin-top: 60px;
    }

    .open-hours {
        flex-basis: 490px;
        margin-top: 60px;
    }

}

/*1400px*/
@media screen and (min-width: 87.500em) {

    /*Styles for main content of index page*/
    .product-section-header .heading {
        margin-left: 50px;
    }

    .page-content .articles-wrapper {
        grid-gap: 30px;
    }

}